import { string } from "vue-types";
import { useCompData } from ".";
import { Text } from "../../../basicUI";
import { createUIComp } from "../../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { children } = useCompData(props.compId);

    return () => (
      <div class="flex flex-col items-center">
        <Text.Component class="" compId={children.title} />
        <Text.Component class="" compId={children.subtitle} />
      </div>
    );
  },
});
